CreateCircumscribedPolygon returns points!

Hello, i try to create polygon with Rhino.Geometry.CreateCircumscribedPolygon
In the help : CreateCircumscribedPolygon(circle: Circle, sideCount: int) -> Polyline,
but the result are points why?

1 Like

Thanks , are they mean list of points by polyline term in the help?

@seghierkhaled,

A Polyline is just a list of points.

image

If you need a curve, call Polyline.ToPolylineCurve.

– Dale

2 Likes

Thank you , yes that what i did , the term Polyline made me confused

It is more than just a list of points. In that it has more (super duper useful/overlooked) methods, such as:

  • CreateInscribedPolygon
  • CenterPoint
  • BreakAtAngles
  • GetSegments
  • PointAt
  • ClosestPoint
  • TriangulateClosedPolyline
  • DeleteShortSegments
  • MergeColinearSegments

It just inherits from Point3dList, as Dale points out.

3 Likes